Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/ChangeLog	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -1,2 +1,11 @@
+2004-12-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* libnetworking/net/radix.c, libnetworking/net/radix.h,
+	libnetworking/net/route.h, libnetworking/netinet/if_ether.h,
+	libnetworking/netinet/in_var.h, libnetworking/netinet/tcp_timer.h,
+	libnetworking/netinet/udp_usrreq.c, libnetworking/netinet/udp_var.h,
+	libnetworking/sys/callout.h, libnetworking/sys/socketvar.h,
+	libnetworking/sys/sysctl.h: Cosmetics from FreeBSD.
+
 2004-12-02	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/libnetworking/net/radix.c
===================================================================
--- cpukit/libnetworking/net/radix.c	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/net/radix.c	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,5 +28,5 @@
  *
  *	@(#)radix.c	8.5 (Berkeley) 5/19/95
- * $FreeBSD: src/sys/net/radix.c,v 1.32 2003/09/22 23:24:18 peter Exp $
+ * $FreeBSD: src/sys/net/radix.c,v 1.36 2004/04/21 15:27:36 luigi Exp $
  */
 
Index: cpukit/libnetworking/net/radix.h
===================================================================
--- cpukit/libnetworking/net/radix.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/net/radix.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,5 +28,5 @@
  *
  *	@(#)radix.h	8.2 (Berkeley) 10/31/94
- * $FreeBSD: src/sys/net/radix.h,v 1.23 2003/08/19 17:23:07 sam Exp $
+ * $FreeBSD: src/sys/net/radix.h,v 1.25 2004/04/18 11:48:35 luigi Exp $
  */
 
Index: cpukit/libnetworking/net/route.h
===================================================================
--- cpukit/libnetworking/net/route.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/net/route.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -31,5 +27,9 @@
  * SUCH DAMAGE.
  *
- *	@(#)route.h	8.3 (Berkeley) 4/19/94
+ *	@(#)route.h	8.4 (Berkeley) 1/9/95
+ * $FreeBSD: src/sys/net/route.h,v 1.62 2004/10/05 19:48:33 sam Exp $
+ */
+
+/*
  * $Id$
  */
@@ -59,4 +59,10 @@
  * retransmission behavior and are included in the routing structure.
  */
+struct rt_metrics_lite {
+	u_long	rmx_mtu;	/* MTU for this path */
+	u_long	rmx_expire;	/* lifetime for route, e.g. redirect */
+	u_long	rmx_pksent;	/* packets sent using this route */
+};
+
 struct rt_metrics {
 	u_long	rmx_locks;	/* Kernel must leave these values alone */
@@ -141,5 +147,5 @@
 #define	RTF_MODIFIED	0x20		/* modified dynamically (by redirect) */
 #define RTF_DONE	0x40		/* message confirmed */
-/*			0x80		   unused */
+/*			0x80		   unused, was RTF_DELCLONE */
 #define RTF_CLONING	0x100		/* generate new routes on use */
 #define RTF_XRESOLVE	0x200		/* external daemon resolves name */
@@ -190,4 +196,7 @@
 #define RTM_VERSION	5	/* Up the ante and ignore older versions */
 
+/*
+ * Message types.
+ */
 #define RTM_ADD		0x1	/* Add Route */
 #define RTM_DELETE	0x2	/* Delete Route */
@@ -204,8 +213,15 @@
 #define RTM_DELADDR	0xd	/* address being removed from iface */
 #define RTM_IFINFO	0xe	/* iface going up/down etc. */
-
+#define	RTM_NEWMADDR	0xf	/* mcast group membership being added to if */
+#define	RTM_DELMADDR	0x10	/* mcast group membership being deleted */
+#define	RTM_IFANNOUNCE	0x11	/* iface arrival/departure */
+#define	RTM_IEEE80211	0x12	/* IEEE80211 wireless event */
+
+/*
+ * Bitmask values for rtm_inits and rmx_locks.
+ */
 #define RTV_MTU		0x1	/* init or lock _mtu */
 #define RTV_HOPCOUNT	0x2	/* init or lock _hopcount */
-#define RTV_EXPIRE	0x4	/* init or lock _hopcount */
+#define RTV_EXPIRE	0x4	/* init or lock _expire */
 #define RTV_RPIPE	0x8	/* init or lock _recvpipe */
 #define RTV_SPIPE	0x10	/* init or lock _sendpipe */
@@ -215,5 +231,5 @@
 
 /*
- * Bitmask values for rtm_addr.
+ * Bitmask values for rtm_addrs.
  */
 #define RTA_DST		0x1	/* destination sockaddr present */
@@ -262,5 +278,4 @@
 
 extern struct route_cb route_cb;
-extern struct rtstat rtstat;
 extern struct radix_node_head *rt_tables[AF_MAX+1];
 
Index: cpukit/libnetworking/netinet/if_ether.h
===================================================================
--- cpukit/libnetworking/netinet/if_ether.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/netinet/if_ether.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,4 +28,8 @@
  *
  *	@(#)if_ether.h	8.3 (Berkeley) 5/2/95
+ * $FreeBSD: src/sys/netinet/if_ether.h,v 1.30 2004/04/07 20:46:13 imp Exp $
+ */
+
+/*
  *	$Id$
  */
@@ -38,6 +38,6 @@
 #define _NETINET_IF_ETHER_H_
 
-#include <netinet/in.h>
 #include <net/ethernet.h>
+#include <net/if_arp.h>
 
 #define	ETHERTYPE_PUP		0x0200	/* PUP protocol */
Index: cpukit/libnetworking/netinet/in_var.h
===================================================================
--- cpukit/libnetworking/netinet/in_var.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/netinet/in_var.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,5 +28,5 @@
  *
  *	@(#)in_var.h	8.2 (Berkeley) 1/9/95
- *	$Id$
+ * $FreeBSD: src/sys/netinet/in_var.h,v 1.52 2004/10/19 21:06:14 andre Exp $
  */
 
@@ -39,8 +35,11 @@
 
 #include <sys/queue.h>
+#if !defined(__rtems__)
+#include <sys/fnv_hash.h>
+#endif
 
 /*
  * Interface address, Internet version.  One of these structures
- * is allocated for each interface with an Internet address.
+ * is allocated for each Internet address on an interface.
  * The ifaddr structure contains the protocol-independent part
  * of the structure and is assumed to be first.
Index: cpukit/libnetworking/netinet/tcp_timer.h
===================================================================
--- cpukit/libnetworking/netinet/tcp_timer.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/netinet/tcp_timer.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,5 +28,5 @@
  *
  *	@(#)tcp_timer.h	8.1 (Berkeley) 6/10/93
- *	$Id$
+ * $FreeBSD: src/sys/netinet/tcp_timer.h,v 1.26 2004/08/16 18:32:07 rwatson Exp $
  */
 
Index: cpukit/libnetworking/netinet/udp_usrreq.c
===================================================================
--- cpukit/libnetworking/netinet/udp_usrreq.c	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/netinet/udp_usrreq.c	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,5 +28,5 @@
  *
  *	@(#)udp_usrreq.c	8.6 (Berkeley) 5/23/95
- *	$Id$
+ * $FreeBSD: src/sys/netinet/udp_usrreq.c,v 1.170 2004/11/08 14:44:53 phk Exp $
  */
 
Index: cpukit/libnetworking/netinet/udp_var.h
===================================================================
--- cpukit/libnetworking/netinet/udp_var.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/netinet/udp_var.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -11,8 +11,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -32,5 +28,5 @@
  *
  *	@(#)udp_var.h	8.1 (Berkeley) 6/10/93
- * $Id$
+ * $FreeBSD: src/sys/netinet/udp_var.h,v 1.28 2004/08/16 18:32:07 rwatson Exp $
  */
 
Index: cpukit/libnetworking/sys/callout.h
===================================================================
--- cpukit/libnetworking/sys/callout.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/sys/callout.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -16,8 +16,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -37,5 +33,5 @@
  *
  *	@(#)callout.h	8.2 (Berkeley) 1/21/94
- * $Id$
+ * $FreeBSD: src/sys/sys/callout.h,v 1.27 2004/04/20 15:49:31 cperciva Exp $
  */
 
Index: cpukit/libnetworking/sys/socketvar.h
===================================================================
--- cpukit/libnetworking/sys/socketvar.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/sys/socketvar.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -13,8 +13,4 @@
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
@@ -34,5 +30,5 @@
  *
  *	@(#)socketvar.h	8.3 (Berkeley) 2/19/95
- * $FreeBSD: src/sys/sys/socketvar.h,v 1.110 2004/03/01 03:14:23 rwatson Exp $
+ * $FreeBSD: src/sys/sys/socketvar.h,v 1.135 2004/10/18 22:19:43 rwatson Exp $
  */
 
Index: cpukit/libnetworking/sys/sysctl.h
===================================================================
--- cpukit/libnetworking/sys/sysctl.h	(revision cbd76915cfaf61d9c58e9bf2b0669e9996181d34)
+++ cpukit/libnetworking/sys/sysctl.h	(revision dac1edba937efc5f05082f04b4a516643302837d)
@@ -31,5 +31,5 @@
  *
  *	@(#)sysctl.h	8.1 (Berkeley) 6/2/93
- * $FreeBSD: src/sys/sys/sysctl.h,v 1.128 2004/04/07 04:19:49 imp Exp $
+ * $FreeBSD: src/sys/sys/sysctl.h,v 1.133 2004/10/11 22:04:16 peter Exp $
  */
 
@@ -103,5 +103,5 @@
  * be implemented.
  * e.g. SYSCTL_INT(_parent, OID_AUTO, name, CTLFLAG_RW, &variable, 0, "");
- */
+ */ 
 #define OID_AUTO	(-1)
 
@@ -352,5 +352,5 @@
 #define	KERN_MAXFILESPERPROC	27	/* int: max open files per proc */
 #define	KERN_MAXPROCPERUID 	28	/* int: max processes per uid */
-#define KERN_DUMPDEV		29	/* dev_t: device to dump on */
+#define KERN_DUMPDEV		29	/* struct cdev *: device to dump on */
 #define	KERN_IPC		30	/* node: anything related to IPC */
 #define	KERN_DUMMY		31	/* unused */
@@ -359,5 +359,5 @@
 #define	KERN_LOGSIGEXIT		34	/* int: do we log sigexit procs? */
 #define	KERN_IOV_MAX		35	/* int: value of UIO_MAXIOV */
-#define KERN_MAXID		36      /* number of valid kern ids */
+#define KERN_MAXID		36	/* number of valid kern ids */
 
 #define CTL_KERN_NAMES { \
@@ -419,7 +419,9 @@
 #define	KERN_PROC_PROC		8	/* only return procs */
 #define	KERN_PROC_SV_NAME	9	/* get syscall vector name */
+#define	KERN_PROC_RGID		10	/* by real group id */
+#define	KERN_PROC_GID		11	/* by effective group id */
 #define	KERN_PROC_INC_THREAD	0x10	/*
 					 * modifier for pid, pgrp, tty,
-					 * uid, ruid, and proc
+					 * uid, ruid, gid, rgid and proc
 					 */
 
